<?php
/**
 * mm_hideNameTvFields
 * @version 0.0.1 (2017-03-15)
 * 
 * @desc Виджет для ManagerManager плагина прятающий название/описание TV параметра.
 * Освобождает больше места для custom TV параметра в админке.
 * 
 * @uses ManagerManager plugin 0.4.
 * 
 * @param $fields {comma separated string} - The name(s) of the TVs fields this should apply to. @required
 * @param $roles {comma separated string} - The roles that the widget is applied to (when this parameter is empty then widget is applied to the all roles). Default: ''.
 * @param $templates {comma separated string} - Id of the templates to which this widget is applied (when this parameter is empty then widget is applied to the all templates). Default: ''.
 * 
 */

function mm_hideNameTvFields($fields, $roles = '', $templates = ''){
	global $modx;
	$e = &$modx->Event;
	
	//if the current page is being edited by someone in the list of roles, and uses a template in the list of templates
	if ($e->name == 'OnDocFormRender' && useThisRule($roles, $templates)){
		global $mm_fields;
		
		// if we've been supplied with a string, convert it into an array
		$fields = makeArray($fields);
		
		$output = "//---------- mm_hideNameTvFields :: Begin -----\n";
		
		foreach ($fields as $field){
			switch ($field){
				//Exceptions
				
				//Ones that follow the regular pattern
				default:
					//Check the fields exist,  so we're not writing JS for elements that don't exist
					if (isset($mm_fields[$field])){
						$output .= 'console.log("FIELD = '.$mm_fields[$field]['fieldname'].'")'."\n";
						$output .= '$j("input[name=\''.$mm_fields[$field]['fieldname'].'\']").parents("table").find("td").first().hide();'."\n";
					}
				break;
			}
		}
		
		$output .= "//---------- mm_hideNameTvFields :: End -----\n";
		
		$e->output($output);
	}
}
?>
